Page MenuHomePhabricator

Create mw.widgets.CategorySelector
Closed, ResolvedPublic

Description

We need this in particular for a new upload tool, but it should be useful in many applications - HotCat, UploadWizard, Flow, etc.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
Declinedmatmarex
Resolvedmatmarex
Resolved Jdlrobson
ResolvedFlorian
ResolvedEsanders
ResolvedEsanders
OpenNone
ResolvedPrtksxna
ResolvedPrtksxna
Resolvedmatmarex
OpenNone
Resolvedmatmarex
OpenNone
Resolvedmatmarex
Invalidmatmarex
Resolvedmatmarex
OpenNone
ResolvedPrtksxna
ResolvedAnomie

Event Timeline

MarkTraceur updated the task description. (Show Details)
MarkTraceur raised the priority of this task from to Needs Triage.
MarkTraceur assigned this task to Prtksxna.
MarkTraceur added a project: Multimedia.
MarkTraceur moved this task to Doing on the Multimedia board.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 8 2015, 3:01 PM
MarkTraceur set Security to None.

Change 235702 had a related patch set uploaded (by Prtksxna):
Add mw.widgets.CategorySelector

https://gerrit.wikimedia.org/r/235702

Prtksxna moved this task from Doing to Needs code review on the Multimedia board.Sep 8 2015, 3:32 PM
MarkTraceur triaged this task as Normal priority.Sep 8 2015, 3:32 PM

Change 235702 merged by jenkins-bot:
Add mw.widgets.CategorySelector

https://gerrit.wikimedia.org/r/235702

Prtksxna moved this task from Needs code review to Done on the Multimedia board.Sep 9 2015, 3:31 PM

Change 237609 had a related patch set uploaded (by Prtksxna):
CategorySelector: Add different ways of searching

https://gerrit.wikimedia.org/r/237609

Prtksxna moved this task from Done to Needs code review on the Multimedia board.Sep 15 2015, 3:37 PM
MarkTraceur moved this task from Prototyping to Needs code review on the Multimedia board.
MarkTraceur moved this task from Needs code review to Done on the Multimedia board.
MarkTraceur closed this task as Resolved.

We changed our mind about this bug...filing a new bug about HotCat compatibility issues now.

We changed our mind about this bug...filing a new bug about HotCat compatibility issues now.

T113462: Improve mw.widgets.CategorySelector so that it can be used in something like HotCat